--***************************************************************
--Fich.:		prueba_listas.ads
--Tema:		Para mostrar el uso del paquete de listas genricas
--Fecha:		Mayo-02
--Fuente:	J. Ezpeleta
--Com.:		
--***************************************************************

with Ada.text_io;
    use Ada.text_io;
with Ada.integer_text_io;
    use Ada.integer_text_io;
with listas;
		
procedure prueba_listas is
	package listaEnteros is new listas(integer);
	use listaEnteros;
	
	l: lista;
	e: integer;
begin
	l := listaVacia;
	if esVacia(l) then
		put_line("Efectivamente, es vac'ia");
	end if;
	
	for i in 1..10 loop
		put("Aadiendo ");
		put(i);
		new_line;
		anadeDch(l,i);
	end loop;
	

	for i in 1..10 loop
		e := observa(l,i);
		put("l(");put(i,width=>2);put(")=");
		put(e,width=>4);new_line;
	end loop;

	eliminaDch(l);
	eliminaIzq(l);

	for i in 1..8 loop
		e := observa(l,i);
		put("l(");put(i,width=>2);put(")=");
		put(e,width=>4);new_line;
	end loop;

	libera(l);
end;