--***************************************************************
--Fich.:		listas.adb
--Tema:		Implementaci'on de listas.ads
--Fecha:		Mayo-02
--Fuente:	J. Ezpeleta
--Com.:		Incompleto. Ver especificaciones de funciones en el ads
--***************************************************************

with Unchecked_Deallocation;

package body listas is
	procedure liberar is new Unchecked_Deallocation(nodo,ptrNodo);
	
	function listaVacia return lista is
		res: lista;
	begin
		res := (0,null,null);
		return(res);
	end;
	
	function esVacia(l: in lista) return boolean is 
	begin
			return(l.n=0);
	end;
	
	function  long(l: in lista) return natural is
	begin
		return(l.n);
	end;
	
	procedure anadeIzq(l: in out lista; e: in elemento) is 
		aux: ptrNodo;
	begin
		aux := new nodo'(e,l.pri);
		l.pri := aux;
		l.n := l.n+1;
		if l.n=1 then
			l.ult := aux;
			l.pri.sig := null;	
		end if;
	end;

	procedure eliminaIzq(l: in out lista) is 
	-- no vacia
		aux: ptrNodo;
	begin
		aux := l.pri;
		l.n := l.n-1;
		l.pri := l.pri.sig;
		liberar(aux);
		if l.n = 0 then
			l.ult := null;
		end if;
	end;

	procedure anadeDch(l: in out lista; e: in elemento) is 
		aux: ptrNodo;
	begin
		if l.n = 0 then
			anadeIzq(l,e);
		else
			aux := new nodo'(e,l.ult);
			aux.sig := null;
			l.ult.sig := aux;
			l.ult := aux;
			l.n := l.n+1;
		end if;
	end;

	procedure eliminaDch(l: in out lista) is 
	-- no vacia
		aux1,aux2: ptrNodo;
	begin
		if l.n=1 then
			liberar(l.pri);
			l := (0,null,null);
		else
			aux1 := l.ult;
			aux2 := l.pri;
			while aux2.sig /= aux1 loop
				aux2 := aux2.sig;
			end loop;
			l.ult := aux2;
			l.n := l.n-1;
			liberar(aux1);
		end if;
	end;
	
	function observa(l: in lista;pos: natural) return elemento is
	-- 1<=pos<=long(l)
		aux: ptrNodo;
	begin
		aux := l.pri;
		for i in 1..pos-1 loop
			aux := aux.sig;
		end loop;
		return(aux.dato);
	end;

	procedure libera(l: in out lista) is
	begin
		for i in 1..l.n loop
			eliminaIzq(l);
		end loop;
	end;
end listas;